Package uk.ac.starlink.topcat.plot

## Class RoundingSpinner.RoundingSpinnerModel

- java.lang.Object
- - javax.swing.AbstractSpinnerModel
  - - uk.ac.starlink.topcat.plot.RoundingSpinner.RoundingSpinnerModel

- All Implemented Interfaces:
    `java.io.Serializable`, `javax.swing.SpinnerModel`
  Enclosing class:
    RoundingSpinner

      public static class RoundingSpinner.RoundingSpinnerModel
      extends javax.swing.AbstractSpinnerModel

  Spinner model used for a rounding spinner.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.AbstractSpinnerModel

      `listenerList`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `getNextValue()` |
    `java.lang.Object` | `getPreviousValue()` |
    `java.lang.Object` | `getValue()` |
    `void` | `setValue​(java.lang.Object val)` |

    - ### Methods inherited from class javax.swing.AbstractSpinnerModel

      `addChangeListener, fireStateChanged, getChangeListeners, getListeners, removeChangeListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getNextValue

          public java.lang.Object getNextValue()

    - #### getPreviousValue

          public java.lang.Object getPreviousValue()

    - #### getValue

          public java.lang.Object getValue()

    - #### setValue

          public void setValue​(java.lang.Object val)

Copyright © 2003-2018 CCLRC: Council for the Central Laboratory of the Research Councils. All Rights Reserved.